Bug 469038 - newhostkey never completes
newhostkey never completes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 12:39 EDT by Matt Castelein
Modified: 2009-07-06 09:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-06 09:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2008-10-29 12:39:59 EDT
Description of problem:
Generating a secrets file never finishes.

Version-Release number of selected component (if applicable):
openswan-2.6.14-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1.run ipsec newhostkey ....
2.
3.
  
Actual results:
no results

Expected results:
file generated.

Additional info: Could be hung.. processes look like this:
root      3311  3006 TS   19 12:22 pts/0    00:00:00 /bin/sh /usr/libexec/ipsec/newhostkey --output /etc/ipsec.d/default.secrets
root      3312  3311 TS   19 12:22 pts/0    00:00:00 /bin/sh /usr/libexec/ipsec/newhostkey --output /etc/ipsec.d/default.secrets
root      3313  3311 TS   19 12:22 pts/0    00:00:00 /bin/sh /usr/libexec/ipsec/newhostkey --output /etc/ipsec.d/default.secrets
root      3314  3312 TS   19 12:22 pts/0    00:00:00 /usr/libexec/ipsec/rsasigkey 2192

Worked fine on another machine running CentOS 5 on i686.
Comment 1 Matt Castelein 2008-10-29 12:57:52 EDT
Generates /etc/ipsec.d/default.secrets.new containing:

: RSA   {

No output after that and processes never terminate.
Comment 2 Matt Castelein 2008-11-10 09:53:31 EST
My YUM update today, which included ipsec-tools-0.7.1-5.fc9.x86_64 seems to have fixed this bug.
Comment 3 Bug Zapper 2009-06-09 23:06:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.